Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.data
Class LoadTestStatistics

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.eviware.soapui.impl.wsdl.loadtest.data.LoadTestStatistics

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, javax.swing.table.TableModel

    public final class LoadTestStatistics

extends javax.swing.table.AbstractTableModel
implements java.lang.Runnable

Model holding statistics.. should be refactored into interface for different statistic models

Author:
  Ole.Matzura
See Also:
  Serialized Form

Nested Class Summary
`static class` | `LoadTestStatistics.Statistic`

Field Summary
`static int` | `DEFAULT_SAMPLE_INTERVAL`
`static int` | `TOTAL`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`LoadTestStatistics(WsdlLoadTest loadTest)`

Method Summary
`void` | `addError(int stepIndex)`
`void` | `finish()`
`java.lang.Class<?>` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int columnIndex)`
`StatisticsHistory` | `getHistory()`
`WsdlLoadTest` | `getLoadTest()`
`int` | `getRowCount()`
`long[][]` | `getSnapshot()`
`long` | `getStatistic(int stepIndex, LoadTestStatistics.Statistic statistic)`
`int` | `getStepCount()`
`TestStep` | `getTestStepAtRow(int selectedRow)`
`long` | `getUpdateFrequency()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `pushSamples(long[] samples, long[] sizes, long[] sampleCounts, long startTime, long timeTaken)`
`void` | `release()`
`void` | `reset()`
`void` | `run()`
`void` | `setUpdateFrequency(long updateFrequency)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOTAL

    public static final int TOTAL

See Also:
  Constant Field Values

### DEFAULT_SAMPLE_INTERVAL

    public static final int DEFAULT_SAMPLE_INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### LoadTestStatistics

    public LoadTestStatistics(WsdlLoadTest loadTest)

Method Detail

### getHistory

    public StatisticsHistory getHistory()

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### getLoadTest

    public WsdlLoadTest getLoadTest()

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getColumnName

    public java.lang.String getColumnName(int columnIndex)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### getStatistic

    public long getStatistic(int stepIndex,
                             LoadTestStatistics.Statistic statistic)

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### pushSamples

    public void pushSamples(long[] samples,
                            long[] sizes,
                            long[] sampleCounts,
                            long startTime,
                            long timeTaken)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getStepCount

    public int getStepCount()

### reset

    public void reset()

### release

    public void release()

### getTestStepAtRow

    public TestStep getTestStepAtRow(int selectedRow)

### getUpdateFrequency

    public long getUpdateFrequency()

### setUpdateFrequency

    public void setUpdateFrequency(long updateFrequency)

### addError

    public void addError(int stepIndex)

### getSnapshot

    public long[][] getSnapshot()

### finish

    public void finish()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.